<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>Nodejs-demo-NestJs-and-BDD documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	   <link rel="stylesheet" href="../styles/style.css">
        <link rel="stylesheet" href="../styles/dark.css">
        <link rel="stylesheet" href="../styles/postmark.css">
    </head>
    <body>
          <script>
               // Blocking script to avaoid flickering dark mode
               // Dark mode toggle button
               var useDark = window.matchMedia('(prefers-color-scheme: dark)');
               var darkModeState = useDark.matches;
               var $darkModeToggleSwitchers = document.querySelectorAll('.dark-mode-switch input');
               var $darkModeToggles = document.querySelectorAll('.dark-mode-switch');
               var darkModeStateLocal = localStorage.getItem('compodoc_darkmode-state');

               function checkToggle(check) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].checked = check;
                    }
               }

               function toggleDarkMode(state) {
                    if (window.localStorage) {
                         localStorage.setItem('compodoc_darkmode-state', state);
                    }

                    checkToggle(state);

                    const hasClass = document.body.classList.contains('dark');

                    if (state) {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.add('dark');
                         }
                         if (!hasClass) {
                              document.body.classList.add('dark');
                         }
                    } else {
                         for (var i = 0; i < $darkModeToggles.length; i++) {
                              $darkModeToggles[i].classList.remove('dark');
                         }
                         if (hasClass) {
                              document.body.classList.remove('dark');
                         }
                    }
               }

               useDark.addEventListener('change', function (evt) {
                    toggleDarkMode(evt.matches);
               });
               if (darkModeStateLocal) {
                    darkModeState = darkModeStateLocal === 'true';
               }
               toggleDarkMode(darkModeState);

               if ($darkModeToggles.length > 0) {
                    for (var i = 0; i < $darkModeToggleSwitchers.length; i++) {
                         $darkModeToggleSwitchers[i].addEventListener('change', function (event) {
                              darkModeState = !darkModeState;
                              toggleDarkMode(darkModeState);
                         });
                    }
               }
          </script>

        <div class="navbar navbar-default navbar-fixed-top d-block d-sm-none">
            <a href="../" class="navbar-brand">Nodejs-demo-NestJs-and-BDD documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content controller">
                   <div class="content-data">





<ol class="breadcrumb">
  <li class="breadcrumb-item">Controllers</li>
  <li class="breadcrumb-item" >UsersController</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="nav-item">
            <a href="#info" 
                class="nav-link"
                class="nav-link active"
                role="tab" id="info-tab" data-bs-toggle="tab" data-link="info">Info</a>
        </li>
        <li class="nav-item">
            <a href="#source" 
                class="nav-link"
                
                role="tab" id="source-tab" data-bs-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/users/users.controller.ts</code>
        </p>

            <p class="comment">
                <h3>Prefix</h3>
            </p>
            <p class="comment">
                <code>users</code>
            </p>






            <section data-compodoc="block-index">
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Public</span>
                                    <span class="modifier">Async</span>
                                <a href="#createUser" >createUser</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Public</span>
                                    <span class="modifier">Async</span>
                                <a href="#deleteUser" >deleteUser</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Public</span>
                                    <span class="modifier">Async</span>
                                <a href="#getAllUser" >getAllUser</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Public</span>
                                    <span class="modifier">Async</span>
                                <a href="#getUser" >getUser</a>
                            </li>
                            <li>
                                    <span class="modifier"></span>
                                    <span class="modifier">Public</span>
                                    <span class="modifier">Async</span>
                                <a href="#updateUser" >updateUser</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

            <section data-compodoc="block-methods">
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="createUser"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Public</span>
                            <span class="modifier">Async</span>
                        <span ><b>createUser</b></span>
                        <a href="#createUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>createUser(res, createUserDto: <a href="../classes/CreateUserDto.html" target="_self">CreateUserDto</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Post()<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="79"
                                    class="link-to-prism">src/users/users.controller.ts:79</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>createUserDto</td>
                                            <td>
                                                            <code><a href="../classes/CreateUserDto.html" target="_self" >CreateUserDto</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="deleteUser"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Public</span>
                            <span class="modifier">Async</span>
                        <span ><b>deleteUser</b></span>
                        <a href="#deleteUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>deleteUser(res, userId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Delete(&#x27;/:id&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="132"
                                    class="link-to-prism">src/users/users.controller.ts:132</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>userId</td>
                                            <td>
                                                            <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getAllUser"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Public</span>
                            <span class="modifier">Async</span>
                        <span ><b>getAllUser</b></span>
                        <a href="#getAllUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getAllUser(res, paginationQuery: <a href="../classes/PaginationQueryDto.html" target="_self">PaginationQueryDto</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get()<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="35"
                                    class="link-to-prism">src/users/users.controller.ts:35</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>paginationQuery</td>
                                            <td>
                                                            <code><a href="../classes/PaginationQueryDto.html" target="_self" >PaginationQueryDto</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="getUser"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Public</span>
                            <span class="modifier">Async</span>
                        <span ><b>getUser</b></span>
                        <a href="#getUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>getUser(res, userId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Get(&#x27;/:id&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="55"
                                    class="link-to-prism">src/users/users.controller.ts:55</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>userId</td>
                                            <td>
                                                            <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="updateUser"></a>
                    <span class="name">
                            <span class="modifier"></span>
                            <span class="modifier">Public</span>
                            <span class="modifier">Async</span>
                        <span ><b>updateUser</b></span>
                        <a href="#updateUser"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                        <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>updateUser(res, userId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, updateUserDto: <a href="../classes/UpdateUserDto.html" target="_self">UpdateUserDto</a>)</code>
                </td>
            </tr>

            <tr>
                <td class="col-md-4">
                    <b>Decorators : </b>
                    <br />
                    <code>@Put(&#x27;/:id&#x27;)<br /></code>
                </td>
            </tr>

                    <tr>
                        <td class="col-md-4">
                            <div class="io-line">Defined in <a href="" data-line="102"
                                    class="link-to-prism">src/users/users.controller.ts:102</a></div>
                        </td>
                    </tr>


            <tr>
                <td class="col-md-4">

                            <div class="io-description">
                                <b>Parameters :</b>
                                
                                <table class="params">
                                    <thead>
                                        <tr>
                                            <td>Name</td>
                                                <td>Type</td>
                                            <td>Optional</td>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                                <td>res</td>
                                            <td>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>userId</td>
                                            <td>
                                                            <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                        <tr>
                                                <td>updateUserDto</td>
                                            <td>
                                                            <code><a href="../classes/UpdateUserDto.html" target="_self" >UpdateUserDto</a></code>
                                            </td>

                                            <td>
                                                    No
                                            </td>


                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <div class="io-description">
                            <b>Returns : </b>    <code>unknown</code>

                        </div>
                            <div class="io-description">
                                
                            </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>    </div>


    <div class="tab-pane fade  tab-source-code" id="source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import {
  Controller,
  Get,
  Res,
  HttpStatus,
  Post,
  Body,
  Put,
  NotFoundException,
  Delete,
  Param,
  Query,
  Inject,
} from &#x27;@nestjs/common&#x27;;
import { ApiProperty, ApiTags } from &#x27;@nestjs/swagger&#x27;;
import { WINSTON_MODULE_PROVIDER } from &#x27;nest-winston&#x27;;
import { Logger } from &#x27;winston&#x27;;
import { UsersService } from &#x27;./users.service&#x27;;
import { CreateUserDto, UpdateUserDto } from &#x27;./dto&#x27;;
import { PaginationQueryDto } from &#x27;../common/dto/pagination-query.dto&#x27;;

@ApiTags(&#x27;Users resource&#x27;)
@Controller(&#x27;users&#x27;)
export class UsersController {
  errorContext: string;
  constructor(
    @Inject(WINSTON_MODULE_PROVIDER) private readonly logger: Logger,
    private usersService: UsersService,
  ) {
    this.errorContext &#x3D; &#x27;UsersModule.UsersController&#x27;;
  }

  // QUERY
  @Get()
  public async getAllUser(
    @Res() res,
    @Query() paginationQuery: PaginationQueryDto,
  ) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.getAllUser().begun&#x60;);
      const users &#x3D; await this.usersService.findAll(paginationQuery);
      return res.status(HttpStatus.OK).json(users);
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.getAllUser().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.status(HttpStatus.BAD_REQUEST).json({
        message: &#x60;Error: Users not listed! ${errorMessage}&#x60;,
        status: 500,
      });
    }
  }

  // READ
  @Get(&#x27;/:id&#x27;)
  public async getUser(@Res() res, @Param(&#x27;id&#x27;) userId: string) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.getUser().begun&#x60;);
      if (!userId) {
        throw new NotFoundException(&#x27;Param ID is required&#x27;);
      }
      const user &#x3D; await this.usersService.findOne(userId);
      if (!user) {
        throw new NotFoundException(&#x27;User does not exist!&#x27;);
      }
      return res.status(HttpStatus.OK).json(user);
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.getUser().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.status(HttpStatus.BAD_REQUEST).json({
        message: &#x60;Error: User not read! ${errorMessage}&#x60;,
        status: 500,
      });
    }
  }

  // CREATE
  @Post()
  // @HttpCode(201) // already 201 by defaut for POST
  public async createUser(@Res() res, @Body() createUserDto: CreateUserDto) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.createUser().begun&#x60;);
      if (!createUserDto) {
        throw new NotFoundException(&#x27;Param body is required&#x27;);
      }
      const user &#x3D; await this.usersService.create(createUserDto);
      return res.status(HttpStatus.CREATED).json({
        message: &#x27;User has been created successfully&#x27;,
        user,
      });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.createUser().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.status(HttpStatus.BAD_REQUEST).json({
        message: &#x60;Error: User not created! ${errorMessage}&#x60;,
        status: 500,
      });
    }
  }

  // UPDATE
  @Put(&#x27;/:id&#x27;)
  public async updateUser(
    @Res() res,
    @Param(&#x27;id&#x27;) userId: string,
    @Body() updateUserDto: UpdateUserDto,
  ) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.updateUser().begun&#x60;);
      if (!userId) {
        throw new NotFoundException(&#x27;Param ID is required&#x27;);
      }
      const user &#x3D; await this.usersService.update(userId, updateUserDto);
      if (!user) {
        throw new NotFoundException(&#x27;User does not exist!&#x27;);
      }
      return res.status(HttpStatus.OK).json({
        message: &#x27;User has been successfully updated&#x27;,
        user,
      });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.updateUser().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.status(HttpStatus.BAD_REQUEST).json({
        message: &#x60;Error: User not updated! ${errorMessage}&#x60;,
        status: 500,
      });
    }
  }

  // DELETE
  @Delete(&#x27;/:id&#x27;)
  public async deleteUser(@Res() res, @Param(&#x27;id&#x27;) userId: string) {
    try {
      this.logger.debug(&#x60;${this.errorContext}.deleteUser().begun&#x60;);
      if (!userId) {
        throw new NotFoundException(&#x27;User ID does not exist&#x27;);
      }

      const user &#x3D; await this.usersService.remove(userId);

      if (!user) {
        throw new NotFoundException(&#x27;User does not exist&#x27;);
      }

      return res.status(HttpStatus.OK).json({
        message: &#x27;User has been deleted&#x27;,
        user,
      });
    } catch (err) {
      const errorMessage &#x3D; &#x60;${this.errorContext}.deleteUser().failed: ${err.message}&#x60;;
      this.logger.error(errorMessage);
      return res.status(HttpStatus.BAD_REQUEST).json({
        message: &#x60;Error: User not deleted! ${errorMessage}&#x60;,
        status: 500,
      });
    }
  }
}
</code></pre>
    </div>
</div>
















                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

          <label class="dark-mode-switch">
               <input type="checkbox">
               <span class="slider">
                    <svg class="slider-icon" viewBox="0 0 24 24" fill="none" height="20" stroke="#000" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" width="20" xmlns="http://www.w3.org/2000/svg">
                    <path d="M21 12.79A9 9 0 1111.21 3 7 7 0 0021 12.79z"></path>
                    </svg>
               </span>
          </label>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'controller';
            var COMPODOC_CURRENT_PAGE_URL = 'UsersController.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>

       <script src="../js/menu-wc.js" defer></script>
       <script nomodule src="../js/menu-wc_es5.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
